archives/urls.py
from django.conf.urls import url, include
from . import views

urlpatterns = [
    url(r'^$', views.IndexView.as_view(), name='index'),
    url(r'^list/$', views.ArchiveView.as_view(), name='list'),
    url(r'^user/$', views.UserView.as_view(), name='user'),
    url(r'^add/$', views.CreateArchiveView.as_view(), name='add'),
    url(r'^upload-images/$', views.UploadImageView.as_view(), name='upload-images'),

    url(r'^profile/$', views.ProfileView.as_view(), name='profile-me'),
    url(r'^profile/(?P<uid>\d+)/$', views.ProfileView.as_view(), name='profile'),
    url(r'^profile/detail/$', views.ProfileDetailView.as_view(), name='profile-detail'),
    url(r'^profile/order/$', views.ProfileOrderView.as_view(), name='profile-order'),
    url(r'^profile/edit/$', views.ProfileEditView.as_view(), name='profile-edit'),
    url(r'^profile/post/$', views.ProfilePostView.as_view(), name='profile-post'),

    url(r'^post/(?P<pk>\d+)/$', views.ArchiveDetailView.as_view(), name='detail'),
    url(r'^post/(?P<pk>\d+)/buy/$', views.ArchiveBuyView.as_view(), name='buy'),
    url(r'^post/attach/(?P<pk>\d+)/$', views.AttachmentView.as_view(), name='attachment'),

    url(r'^gift/$', views.GiftListView.as_view(), name='shop'),
    url(r'^gift/(?P<pk>\d+)/$', views.GiftDetailView.as_view(), name='gift'),
    url(r'^gift/(?P<gift_id>\d+)/buy/$', views.OrderCreateView.as_view(), name='order-create'),
    url(r'^gift/order/(?P<pk>\d+)/$', views.OrderDetailView.as_view(), name='order'),

    url(r'^js/$', view=views.JavascriptView.as_view(content_type='text/javascript'), name='js'),
]

mooder/urls.py
import os
from django.conf.urls import url, include
from django.conf.urls.static import static
from django.contrib import admin
from django.conf import settings

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^', include('accounts.urls')),
    url(r'^', include('archives.urls', namespace='archive')),
    url(r'^captcha/', include('captcha.urls')),

    url(r'^management/', include('managements.urls')),
]

if settings.DEBUG:
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

templates/user/edit.html
{% extends 'base.html' %}
{% load template_helper %}

{% block title %}修改用户信息{% endblock %}

{% block body %}
<div class="am-container">
  <div class="am-g">
      <div class="am-u-sm-centered">
          <form class="am-form" id="postform" method="post" enctype="multipart/form-data">
            <div class="am-g">
            <div class="am-u-sm-10">
              <fieldset>
                {% for field in form %}
                        <div class="am-form-group am-form-group-sm">
                        <label>{{ field.label }} &nbsp;
                        <small>
                            {% if field.errors %}
                            <span class="am-text-danger">{{ field.errors | first}}</span>
                            {% else %}
                            {{ field.help_text }}
                            {% endif %}
                        </small></label>
                            {{ field | css:"am-form-field" }}
                        </div>
                {% endfor %}
              </fieldset>
              </div>
              <div class="am-u-sm-2">
                  <h3>{{ request.user.nickname }}</h3>
                <img src="{{ request.user.get_mugshot_url }}" alt="..." class="am-img-thumbnail">
              </div>
            </div>
          {% csrf_token %}
            <div class="am-btn-group am-fr am-margin-right-lg am-margin-top">
              <a href="{% url 'password_change' %}" class="am-btn am-btn-primary">修改密码</a>
              <button type="button" onclick="history.back(-1)" class="am-btn am-btn-default">返回</button>
              <button type="submit" class="am-btn am-btn-default">提交</button>
            </div>
          </form>
      </div>
    </div>
</div>
{% endblock %}

{% block footer %}
<script type="text/javascript" src="//cdn.bootcss.com/plupload/2.1.9/plupload.full.min.js"></script>
<script type="text/javascript">
window.onload = function () {
    var PluploadHandler = function( $, plupload ) {
        var self = this;
        this.plupload = plupload;
        // Custom example logic
        this.uploader = new plupload.Uploader({
            runtimes : 'html5,flash',
            browse_button : document.getElementById('upbtn'),
            url : "{% url 'archive:upload-images' %}",
            flash_swf_url : "//cdn.bootcss.com/plupload/2.1.9/Moxie.swf",
            filters : {
                max_file_size : '5mb',
                mime_types: [
                    {title : "Image files", extensions : "jpg,jpeg,gif,png,bmp"}
                ]
            },
            headers: {
                'X-CSRFToken': $.AMUI.utils.cookie.get('csrftoken')
            },
            init: {
                Error: function(up, err) {
                    console.log("\nError #" + err.code + ": " + err.message);
                }
            }
        });
        this.uploader.init();
        this.uploader.bind("FilesAdded", function (up, files) {
            console.log("+ handlePluploadFilesAdded");
            up.start();
        });
        this.uploader.bind("FileUploaded", function (up, file, res) {
            var f = JSON.parse(res.response);
            if(f.status == 'success') {
                var img = "\n![](" + f.url + ")\n";
                editor.replaceSelection(img)
            }
        });
    };
    var pluploadHandler = new PluploadHandler(jQuery, plupload);
};
</script>
{% endblock %}